<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div *ngIf="!allActiveJobList">
                    <h3>No Active Jobs Available !!</h3>
                </div>
                <div class="cont-login" *ngIf="allActiveJobList">
                    <div class="worker-appoinment">
                        <h2>Appoinments</h2>
                        <ng-container *ngFor="let job of allActiveJobList;let j = index ">
                            <ng-container *ngIf="j < 5 && !showRole">
                            <div class="single-appoinment">
                                <strong>{{job.jobRoleName}}</strong>

                                <!-- <p>01-06-20 to 01-06-21</p> -->
                                <p>{{job.locationName}}</p>
                            </div>
                            <div class="single-appoinment">
                                <strong>Date Shift</strong>
                                <ul>
                                    <ng-container *ngFor="let date of job.setTime;let i=index">
                                    <li>
                                       
                                            <!-- <ng-container *ngIf="i>0">, </ng-container> -->
                                            <ng-container *ngIf="date.startDate != date.endDate">
                                                {{ date.startDate |date: 'dd/MM/yyyy' }} - {{ date.endDate |date:
                                                'dd/MM/yyyy' }}

                                            </ng-container>
                                            <ng-container *ngIf="date.startDate == date.endDate">
                                                {{ date.startDate |date: 'dd/MM/yyyy' }}

                                            </ng-container>
                                    
                                        <span>
                                            <ng-container>
                                            {{date.shift.slice(0,1)}}
                                        </ng-container>
                                        </span>
                                    </li>
                                </ng-container>
                                    <!-- <li>01.02.21 <span>FD</span></li>
                                <li>01.02.21 <span>FD</span></li>
                                <li>01.02.21 <span>FD</span></li>
                                <li>01.02.21 <span>FD</span></li> -->
                                </ul>
                            </div>

                            <div class="single-appoinment">
                                <strong>Directions</strong>
                                <agm-map [latitude]="job.location?.coordinates[1]"
                                    [longitude]="job.location?.coordinates[0]" style="border:0" allowfullscreen
                                    [scrollwheel]="false" [zoom]="zoom">
                                    <agm-marker [latitude]="job.location?.coordinates[1]"
                                        [longitude]="job.location?.coordinates[0]"></agm-marker>

                                </agm-map>
                                <div class="btns">
                                    <!-- <a href="#" class="btn">Show Attendance</a>
                                <a href="#" class="btn">Check In / Check Out</a>    -->
                                    <a href="javascript:void(0);"
                                        (click)="viewCandidateAttendance(job.candidateId ,job.jobId,job.jobRoleId,job.employerId )"
                                        class="btn">Show Attendance</a>
                                    <a href="javascript:void(0);"
                                        (click)="viewCandidateTrackingPage(job.candidateId ,job.jobId,job.jobRoleId,job.employerId )"
                                        class="btn">Check In / Check Out</a>
                                </div>

                            </div>

                            <!-- <div class="single-appoinment">
                            <strong>Amazon Home Care</strong>
                            <p>01-06-20 to 01-06-21</p>
                            <p>Lorem ipsum dolor sit amet</p>
                        </div>

                        <div class="single-appoinment">
                            <strong>Zizzi Resturents</strong>
                            <p>01-06-20 to 01-06-21</p>
                            <p>Lorem ipsum dolor sit amet</p>
                        </div> -->
                        </ng-container>
                        <ng-container *ngIf="showRole">
                            <div class="single-appoinment">
                                <strong>{{job.jobRoleName}}</strong>

                                <!-- <p>01-06-20 to 01-06-21</p> -->
                                <p>{{job.locationName}}</p>
                            </div>
                            <div class="single-appoinment">
                                <strong>Date Shift</strong>
                                <ul>
                                    <ng-container *ngFor="let date of job.setTime;let i=index">
                                    <li>
                                       
                                            <!-- <ng-container *ngIf="i>0">, </ng-container> -->
                                            <ng-container *ngIf="date.startDate != date.endDate">
                                                {{ date.startDate |date: 'dd/MM/yyyy' }} - {{ date.endDate |date:
                                                'dd/MM/yyyy' }}

                                            </ng-container>
                                            <ng-container *ngIf="date.startDate == date.endDate">
                                                {{ date.startDate |date: 'dd/MM/yyyy' }}

                                            </ng-container>
                                    
                                        <span>
                                            <ng-container>
                                            {{date.shift.slice(0,1)}}
                                        </ng-container>
                                        </span>
                                    </li>
                                </ng-container>
                                    <!-- <li>01.02.21 <span>FD</span></li>
                                <li>01.02.21 <span>FD</span></li>
                                <li>01.02.21 <span>FD</span></li>
                                <li>01.02.21 <span>FD</span></li> -->
                                </ul>
                            </div>

                            <div class="single-appoinment">
                                <strong>Directions</strong>
                                <agm-map [latitude]="job.location?.coordinates[1]"
                                    [longitude]="job.location?.coordinates[0]" style="border:0" allowfullscreen
                                    [scrollwheel]="false" [zoom]="zoom">
                                    <agm-marker [latitude]="job.location?.coordinates[1]"
                                        [longitude]="job.location?.coordinates[0]"></agm-marker>

                                </agm-map>
                                <div class="btns">
                                    <!-- <a href="#" class="btn">Show Attendance</a>
                                <a href="#" class="btn">Check In / Check Out</a>    -->
                                    <a href="javascript:void(0);"
                                        (click)="viewCandidateAttendance(job.candidateId ,job.jobId,job.jobRoleId,job.employerId )"
                                        class="btn">Show Attendance</a>
                                    <a href="javascript:void(0);"
                                        (click)="viewCandidateTrackingPage(job.candidateId ,job.jobId,job.jobRoleId,job.employerId )"
                                        class="btn">Check In / Check Out</a>
                                </div>

                            </div>

                            <!-- <div class="single-appoinment">
                            <strong>Amazon Home Care</strong>
                            <p>01-06-20 to 01-06-21</p>
                            <p>Lorem ipsum dolor sit amet</p>
                        </div>

                        <div class="single-appoinment">
                            <strong>Zizzi Resturents</strong>
                            <p>01-06-20 to 01-06-21</p>
                            <p>Lorem ipsum dolor sit amet</p>
                        </div> -->
                        </ng-container>
                        </ng-container>
                        <div class="arrow" style="text-align: right;font-size: 20px;color: #cf00ae;" *ngIf="!showArraow && allActiveJobList.length>5">
                            <a href="javascript:void(0);" (click)="showMoreRole()" tooltip="Show More"> <i class="fas fa-angle-down"></i></a>
                         </div>
                         <div class="arrow" style="text-align: right;font-size: 20px;color: #cf00ae;" *ngIf="showArraow && allActiveJobList.length>5">
                             <a href="javascript:void(0);" (click)="showLessRole()" tooltip="Show Less"> <i class="fas fa-angle-up"></i></a>
                          </div>
                    </div>
                    <!--- <div class="shadow-box" *ngFor="let job of allActiveJobList ">
                        <div class="acrdn-cont-inr">
                            <div class="row">
                                <div class="col-6">
                                    <p>
                                        <strong>Job Role</strong>
                                        <span>{{job.jobRoleName}}</span>
                                    </p>
                                </div>
                                <div class="col-6">
                                    <p>
                                        <strong>Shift</strong>
                                        <span *ngFor="let shift of job.setTime;let i=index;">
                                            <span *ngIf="i>0">, </span>
                                            {{shift.shift}}
                                        </span>
                                    </p>
                                </div>
                                <div class="col-6">
                                    <p>
                                        <strong>Address</strong>
                                        <span>{{job.locationName}}</span>
                                    </p>
                                </div>
                                <div class="col-6">
                                    <p>
                                        <strong>Dates</strong>
                                        <span class="spc">
                                            <span *ngFor="let date of job.setTime;let i=index">
                                                <span *ngIf="i>0">, </span>
                                                <span *ngIf="date.startDate != date.endDate">
                                                    {{ date.startDate |date: 'dd/MM/yyyy' }} - {{ date.endDate |date:
                                                    'dd/MM/yyyy' }}

                                                </span>
                                                <span *ngIf="date.startDate == date.endDate">
                                                    {{ date.startDate |date: 'dd/MM/yyyy' }}

                                                </span>
                                            </span>
                                        </span>
                                    </p>
                                </div>
                                <div class="col-12">
                                    <p>
                                        <strong>Direction</strong>
                                        <span>
                                        <div class="map-box">
                                              <iframe
                                                    src="https://www.google.com/maps/embed?pb=!1m10!1m8!1m3!1d14734.404612041511!2d88.39674414999999!3d22.594015999999996!3m2!1i1024!2i768!4f13.1!5e0!3m2!1sen!2sin!4v1555402986709!5m2!1sen!2sin"
                                                    width="600" height="450" frameborder="0" style="border:0"
                                                    allowfullscreen></iframe>
                                             </div> 
                                            <agm-map [latitude]="job.location?.coordinates[1]"
                                                [longitude]="job.location?.coordinates[0]" style="border:0"
                                                allowfullscreen [scrollwheel]="false" [zoom]="zoom">
                                                <agm-marker [latitude]="job.location?.coordinates[1]"
                                                    [longitude]="job.location?.coordinates[0]"></agm-marker>
                                             
                                            </agm-map>
                                        </span>
                                    </p>
                                </div>
                            </div>
                        </div>
                        <div class="emp-candi-btnset">
                            <a href="javascript:void(0);"
                                (click)="viewCandidateAttendance(job.candidateId ,job.jobId,job.jobRoleId,job.employerId )"
                                class="btn border">Show Attendance</a>
                            <a href="javascript:void(0);"
                                (click)="viewCandidateTrackingPage(job.candidateId ,job.jobId,job.jobRoleId,job.employerId )"
                                class="btn border">Check In / Check Out</a>
                        </div>
                    </div> --->
                </div>
                - <pagination [totalItems]="totalItems" [itemsPerPage]="itemsPerPage" [(ngModel)]="pageNo"
                    [maxSize]="totalNoOfPages" [rotate]="false" previousText="&lsaquo;" nextText="&rsaquo;"
                    firstText="&laquo;" lastText="&raquo;" [boundaryLinks]="true"
                    (pageChanged)="getPaginateData($event)" class="pagination-sm justify-content-center"
                    [disabled]="dataFetching" *ngIf="totalItems"></pagination> -
            </div>
        </div>
    </div>
</div>